package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Tracbs extends AbstractCommonVo {

    private Cbb max;

    private Cbb max2;

    private Cbb opn1;

    private Cbb intclc;

    private Cbb intset;

    private Cbb intcpl;

    private Cbb intacr;

    @Override
    public void reset() {
        if (max == null) {
            max = new Cbb();
        }
        if (max2 == null) {
            max2 = new Cbb();
        }
        if (opn1 == null) {
            opn1 = new Cbb();
        }
        if (intclc == null) {
            intclc = new Cbb();
        }
        if (intset == null) {
            intset = new Cbb();
        }
        if (intcpl == null) {
            intcpl = new Cbb();
        }
        if (intacr == null) {
            intacr = new Cbb();
        }
    }
}
